Support » Plugin: Elementor Website Builder » Update to version 3.6.0 of elementor extension broke my site

  • Resolved samoreen

    (@samoreen)


    Hi,

    After updating to version 3.6.0 (automatic update last night), the main menu of my site’s home page is no longer working as well as some third-party extensions specific to Elementor (like News Ticker). The error is as follows :

    [23-Mar-2022 09:32:16 UTC] PHP Fatal error: Uncaught Error: Class ‘Elementor\Scheme_Color’ not found in /home/clients/xxxxxx/prod/xxxxxx/wp-content/plugins/news-ticker-widget-for-elementor/elements/news-ticker-widget.php:187

    The only way I found to fix this issue while keeping all Elementor related extensions working was to downgrade to the previous version.

    Waiting for a quick fix (as many other Elementor users, apparently).

Viewing 4 replies - 1 through 4 (of 4 total)
  • I’ve just solved this on 2 sites by doing a rollback to 3.5.6 (using the WP Rollback plugin) and updating again. They probably have fixed the issue in the meantime without changing the version number.

    PS: this worked on websites where the frontend didn’t load, but the backend did.

    Thread Starter samoreen

    (@samoreen)

    Thanks Jos for letting us know.

    Thread Starter samoreen

    (@samoreen)

    They probably have fixed the issue in the meantime without changing the version number.

    This would be very bad practice and a source of confusion.

    Plugin Support Elementor Team

    (@lianakap)

    Hi,

    First I want to apologize for this experience with our latest release.

    I am happy to inform you that we have released version 3.6.1 for Elementor Core which contains a fix for the incompatibility issues reported in the last few days.

    Please update your Elementor Core version to 3.6.1 and inform me if the change helps.

    If this doesn’t resolve the issue please follow this workaround:

    Just for the time being, it will be a good idea to deactivate all plugins (except Elementor), and then reactivate them one by one to find the culprit.

    Once the plugin is found, inform us which plugin is incompatible so we can contact the developers. Keep this plugin deactivated for the time being.

    Switch your website’s theme to Elementor’s Hello theme. If this solves the problem, keep your website on this theme for now, until this issue will be solved.

    Alternatively, you can roll back your Elementor (Core) version from 3.6 to a previous one, which is still compatible with these plugins, such as 3.5.6. You can download a stable version from this link.

    Reach out to your third-party plugin support to notify them of the importance of the issue.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Update to version 3.6.0 of elementor extension broke my site’ is closed to new replies.